This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 559580 - [5.4] strace stops logging a trace
[5.4] strace stops logging a trace
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: strace (Show other bugs)
5.4
All Linux
urgent Severity urgent
: rc
: 5.5
Assigned To: Jeff Law
qe-baseos-tools
: Regression, ZStream
Depends On:
Blocks: 502912 561805 564364 706355 845004 922218
  Show dependency treegraph
 
Reported: 2010-01-28 09:37 EST by Alan Matsuoka
Modified: 2013-04-02 14:37 EDT (History)
6 users (show)

See Also:
Fixed In Version: strace-4.5.18-9.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 561805 706355 (view as bug list)
Environment:
Last Closed: 2013-03-20 09:38:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
testpro2.tar.bz2 (731 bytes, application/x-bzip2)
2010-01-28 09:40 EST, Alan Matsuoka
no flags Details

  None (edit)
Description Alan Matsuoka 2010-01-28 09:37:28 EST
Description of Problem:
This is a REGRESSION from strace of RHEL5.4 GA.

This issue occurred strace-4.5.18-5.el5_4.1.
The advisory number is RHBA-2010:0047-1.

When strace is executed multiple times concurrently, strace sometimes
stops logging a trace and never restarts.
As a result, the trace logs of some target process can not be got correctly.

This issue occurs frequently.

I think that this issue is the same as IT#430153 of RHEL4.8.

I will confirm whether this issue occurs on RHEL5.5 alpha at once.

Version-Release number of selected component:
Red Hat Enterprise Linux Version Number: 5.4
Release Number: GA
Architecture: ia64
Kernel Version: 2.6.18-164.10.1.el5
Related Package Version: strace-4.5.18-5.el5_4.1
Related Middleware/Application: none

Drivers or hardware or architecture dependency:
unknown

How reproducible:
frequently

Step to Reproduce:
I attach a reproducer: testpro2.tar.bz2

1. Compile the reproducer:
# cc -g -o mthd2 mthd2.c -lpthread

2. Run test program:
# ./testpro2.sh

3. Check the acquisition trace log:

# ls -l log_*

4. After a few seconds, check the acquisition trace log again:

# ls -l log_*

Actual Results:
strace stops logging.

===The following is result log===
[root@PQ580-12-RHEL5-4 testpro2]# ./test2.sh
*** start strace No.0 pid:17600 ***
*** start strace No.1 pid:17626 ***

...snip...

*** start strace No.19 pid:18341 ***
[root@PQ580-12-RHEL5-4 testpro2]# ls -l log_*
-rw-r--r-- 1 root root 177213 Jan 26 00:50 log_0
-rw-r--r-- 1 root root 111735 Jan 26 00:50 log_1
-rw-r--r-- 1 root root 166110 Jan 26 00:50 log_10
-rw-r--r-- 1 root root 177443 Jan 26 00:50 log_11
-rw-r--r-- 1 root root 164450 Jan 26 00:50 log_12
-rw-r--r-- 1 root root 177297 Jan 26 00:50 log_13
-rw-r--r-- 1 root root  46713 Jan 26 00:50 log_14
-rw-r--r-- 1 root root  46713 Jan 26 00:50 log_15
...snip...
-rw-r--r-- 1 root root  46713 Jan 26 00:50 log_7
-rw-r--r-- 1 root root 181545 Jan 26 00:50 log_8
-rw-r--r-- 1 root root 168136 Jan 26 00:50 log_9
[root@PQ580-12-RHEL5-4 testpro2]# ls -l log_*       ... After a few seconds
-rw-r--r-- 1 root root 316587 Jan 26 00:50 log_0
-rw-r--r-- 1 root root 252710 Jan 26 00:50 log_1
-rw-r--r-- 1 root root 272148 Jan 26 00:50 log_10
-rw-r--r-- 1 root root 287237 Jan 26 00:50 log_11
-rw-r--r-- 1 root root 283716 Jan 26 00:50 log_12
-rw-r--r-- 1 root root 280855 Jan 26 00:50 log_13
-rw-r--r-- 1 root root  46713 Jan 26 00:50 log_14   ... This trace logs stop.
-rw-r--r-- 1 root root  46713 Jan 26 00:50 log_15   ... This trace logs stop.
...snip...
-rw-r--r-- 1 root root  46713 Jan 26 00:50 log_7    ... This trace logs stop.
-rw-r--r-- 1 root root 286554 Jan 26 00:50 log_8
-rw-r--r-- 1 root root 292642 Jan 26 00:50 log_9
[root@PQ580-12-RHEL5-4 testpro2]#
===============================================

Expected Results:
strace completes logging the trace.

Summary of actions taken to resolve issue: none

Location of diagnostic data: none

Hardware configuration:
Model: PRIMEQUEST 580
CPU Info: Itanium CPU 1.60GHz x 4
Memory Info: 3GB
Hardware Component Information: none
Configuration Info: none





Target Release: 5.5
Errata Request: async errata for 5.4
Hotfix Request: No


Additional Info:
- The sosreport file is attached.
sosreport-PQ580-12-RHEL5-4-456091-7a46bd.tar.bz2
(The md5sum is: 57e807beb505d00b4fb59512047a46bd)
Comment 2 Alan Matsuoka 2010-01-28 09:40:25 EST
Created attachment 387342 [details]
testpro2.tar.bz2
Comment 19 Jeff Law 2012-09-13 14:55:31 EDT
Michal,

the URL you referenced doesn't exist -- I get a 404 Not Found message.

I'm happy to look at this further, but I need some basic information about the system this failed on.  (ie processor family, # processors/cores, etc.).

Note You need to log in before you can comment on or make changes to this bug.